
#include <Adafruit_NeoPixel.h>
#define LED_PIN 13
#define LED_COUNT 24
int button_selection = 0;

Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);
// NEO_GRB     Pixels are wired for GRB bitsream (most neoPixel products)
// NEO_KHZ800  800 khz bitstream

uint32_t red = strip.Color(255, 0, 0);
uint32_t blue = strip.Color(0, 0, 255);
uint32_t blank = strip.Color(0, 0, 0);
uint32_t white = strip.Color(255, 255, 255);
int HIGH_INTENSITY = 140;

void colorWipe(uint32_t color, int wait)
{
  for (int i = 0; i < strip.numPixels(); i++)
  {
    strip.setPixelColor(i, color); // set pixel color 
    strip.show();                  // update strip
    delay(wait);                   // pause
  }
}


void setup() 
{
  // put your setup code here, to run once:

  Serial.begin(9600);
  pinMode(8, INPUT);
  pinMode(9, INPUT);
  pinMode(10, INPUT);
  pinMode(11, INPUT);

  strip.begin();            // init NeoPixel strip
  strip.show();             // turns off all the pixels, clears anything from prev program 
  //strip.setBrightness(30);  // set brightness to about 1/5

  lighten(0);
  strip.show();

}

void darken(int start)
{
  for (int j = HIGH_INTENSITY; j > 0; j--)
  {
    for (int i = start; i < start+6; i++)
    {
      strip.setPixelColor(i, j, j, j);
    }
    strip.show();
  }
  delay(5);
}

void lighten(int start)
{
  for (int j = 0; j < HIGH_INTENSITY; j++)
  {
    for (int i = start; i < start+6; i++)
    {
      strip.setPixelColor(i, j, j, j);
    }
    strip.show();
    delay(5);
  }
}







void loop() 
{


 
  
//
//  strip.show();
//  delay(10);
//  //Serial.println(j);
//  

  
  if (digitalRead(8) == HIGH)
  {
    darken(button_selection);
    button_selection = 0;
    lighten(button_selection);
    delay(300);
  } 

    
    
  
  if (digitalRead(9) == HIGH)
  {
    darken(button_selection);
    button_selection = 6;
    lighten(button_selection);
    delay(300);
  }   
  
  
  if (digitalRead(10) == HIGH)
  {
    darken(button_selection);
    button_selection = 12;
    lighten(button_selection);
    delay(300);
  }    
  
  if (digitalRead(11) == HIGH)
  {
    darken(button_selection);
    button_selection = 18;
    lighten(button_selection);
    delay(300);

  }  
  

  Serial.println(digitalRead(8));
  Serial.println(digitalRead(9));
  Serial.println(digitalRead(10));
  Serial.println(digitalRead(11));
  Serial.println("");

  

}
  
